/* foXcontrol
 * Copyright (C) 2000-2001 Josua Groeger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "FDCRoot.h"

FDCIMPLEMENT (FDCRoot, FDComponent, NULL, 0);

FDCRoot::FDCRoot (FDCARGS): FDComponent ("foXcontrol", "Root", FDCPARAMS)
{
  FXGroupBox *groupBox= new FXGroupBox (this, "Preferences",
                                        LAYOUT_CENTER_X|LAYOUT_CENTER_Y|GROUPBOX_TITLE_LEFT|FRAME_THICK);
  statusbarButton= new FXCheckButton (new FXPacker (groupBox), "&Show statusbar");
}

void FDCRoot::read ()
{
  statusbarButton->setCheck (getApp ()->reg ().readUnsignedEntry ("SETTINGS", "statusbar", true));
}

void FDCRoot::write ()
{
  getApp ()->reg ().writeUnsignedEntry ("SETTINGS", "statusbar", statusbarButton->getCheck ());
}

void FDCRoot::defaults ()
{
  statusbarButton->setCheck (true);
}

void FDCRoot::about ()
{
  ((FDApp*) getApp ())->showAbout (this, "foXcontrol", VERSION, "foXdesktop control centre", "foXcontrol.xpm",
                                   "(C) 2000-2001 Josua Groeger <fractalus@gmx.net>",
                                   "http://foxdesktop.sourceforge.net");
}

void FDCRoot::help ()
{
  ((FDApp*) getApp ())->showHelp ("foXcontrol");
}
